import { z } from "zod";
export declare const UpdateContactInformationRequestSchema: z.ZodObject<{
    importedContact: z.ZodObject<{
        getOrUpdateContact: z.ZodObject<{
            sourceInformation: z.ZodObject<{
                sourceSystemCode: z.ZodString;
                sourceContactId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                sourceSystemCode: string;
                sourceContactId: string;
            }, {
                sourceSystemCode: string;
                sourceContactId: string;
            }>;
            contactInfo: z.ZodObject<{
                eMail: z.ZodString;
                mobilePhoneNo: z.ZodString;
                phoneNo: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            }, {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            }>;
            contactPreferences: z.ZodObject<{
                eMarketingEmail: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                eMarketingEmail: boolean;
            }, {
                eMarketingEmail: boolean;
            }>;
            contactNameAddress: z.ZodObject<{
                socialSecurityNo: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                socialSecurityNo: string;
            }, {
                socialSecurityNo: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        }, {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        getOrUpdateContact: {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        };
    }, {
        getOrUpdateContact: {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        };
    }>;
}, "strip", z.ZodTypeAny, {
    importedContact: {
        getOrUpdateContact: {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        };
    };
}, {
    importedContact: {
        getOrUpdateContact: {
            sourceInformation: {
                sourceSystemCode: string;
                sourceContactId: string;
            };
            contactInfo: {
                eMail: string;
                phoneNo: string;
                mobilePhoneNo: string;
            };
            contactPreferences: {
                eMarketingEmail: boolean;
            };
            contactNameAddress: {
                socialSecurityNo: string;
            };
        };
    };
}>;
export declare type UpdateContactInformationRequest = z.infer<typeof UpdateContactInformationRequestSchema>;
export declare const getContactInformationQueryRequestSchema: z.ZodObject<{
    countryIds: z.ZodString;
    correlationId: z.ZodOptional<z.ZodString>;
    businessAreaIds: z.ZodString;
    legalId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    correlationId?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
    legalId: string;
}, {
    correlationId?: string | undefined;
    countryIds: string;
    businessAreaIds: string;
    legalId: string;
}>;
export declare type ContactInformationRequest = z.infer<typeof getContactInformationQueryRequestSchema>;
export interface ContactDetailsResponse {
    correlationId: string;
    result: boolean;
    resultContactNo: string;
    resultContacts: {
        getOrUpdateContact: {
            contactNameAddress: {
                firstName: string;
                middleName: string;
                surname: string;
                salutationCode: string;
                name: string;
                address: string;
                address2: string;
                streetType: string;
                postCode: string;
                city: string;
                region: string;
                countryCode: string;
                nationalityCode: string;
                socialSecurityNo: string;
                organizationNo: string;
                vatOrganizationNo: string;
            };
            contactCompliance: {
                nationalityCode: string;
                citizenship: {
                    citizenshipEntry: [
                        {
                            countryCode: string;
                        }
                    ];
                };
                legalEntityTypeCode: string;
                sectorCode: string;
                economicActivityCode: string;
                pep: string;
                riskLevelAML: string;
                dateOfLastKYC: string;
            };
            contactInfo: {
                eMail: string;
                mobilePhoneNo: string;
                phoneNo: string;
            };
            contactPreferences: {
                eCommunication: boolean;
                eMarketing: boolean;
                eMarketingSms: boolean;
                eMarketingEmail: boolean;
            };
            paymentPreferences: {
                bankAccountNo: string;
            };
            taxIdentification: {
                taxIdEntry: [
                    {
                        countryCode: string;
                        taxIdNumber: string;
                    }
                ];
            };
            kyc: {
                kycEntry: [
                    {
                        accountNo: string;
                        questionId: string;
                        answer: string;
                        timestamp: string;
                    }
                ];
            };
        };
        text: [];
    };
    resultCustomerNo: string;
    resultVendorNo: string;
    serviceVersion: string;
}
